You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@distributedlog.apache.org by si...@apache.org on 2016/09/10 07:34:16 UTC

[1/5] incubator-distributedlog git commit: Support publishing artifactory for both scala 2.10 and 2.11

Repository: incubator-distributedlog
Updated Branches:
  refs/heads/sijie/support_scala_2.10_and_2.11 [created] 08cd8642c


Support publishing artifactory for both scala 2.10 and 2.11


Project: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/commit/433f8a46
Tree: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/tree/433f8a46
Diff: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/diff/433f8a46

Branch: refs/heads/sijie/support_scala_2.10_and_2.11
Commit: 433f8a46c36be310eeedd9eca90853922ca22723
Parents: 3ff9e33
Author: Sijie Guo <si...@twitter.com>
Authored: Sat Jun 4 18:15:21 2016 -0700
Committer: Sijie Guo <si...@twitter.com>
Committed: Sat Jun 4 18:17:58 2016 -0700

----------------------------------------------------------------------
 .../distributedlog/basic/AtomicWriter.java      |   4 +-
 .../basic/ConsoleProxyMultiWriter.java          |   4 +-
 .../basic/ConsoleProxyWriter.java               |   4 +-
 .../distributedlog/basic/RecordGenerator.java   |   4 +-
 .../ConsoleProxyPartitionedMultiWriter.java     |   4 +-
 .../messaging/ConsoleProxyRRMultiWriter.java    |   4 +-
 scripts/change-scala-version.sh                 | 142 +++++++++++++++++++
 7 files changed, 154 insertions(+), 12 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/AtomicWriter.java
----------------------------------------------------------------------
diff --git a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/AtomicWriter.java b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/AtomicWriter.java
index 92f5d46..1f9cc9e 100644
--- a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/AtomicWriter.java
+++ b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/AtomicWriter.java
@@ -24,7 +24,7 @@ import com.twitter.distributedlog.io.CompressionCodec.Type;
 import com.twitter.distributedlog.service.DistributedLogClient;
 import com.twitter.distributedlog.service.DistributedLogClientBuilder;
 import com.twitter.distributedlog.util.FutureUtils;
-import com.twitter.finagle.thrift.ClientId;
+import com.twitter.finagle.thrift.ClientId$;
 import com.twitter.util.Future;
 import com.twitter.util.FutureEventListener;
 import com.twitter.util.Promise;
@@ -53,7 +53,7 @@ public class AtomicWriter {
         System.arraycopy(args, 2, messages, 0, messages.length);
 
         DistributedLogClient client = DistributedLogClientBuilder.newBuilder()
-                .clientId(ClientId.apply("atomic-writer"))
+                .clientId(ClientId$.MODULE$.apply("atomic-writer"))
                 .name("atomic-writer")
                 .thriftmux(true)
                 .finagleNameStr(finagleNameStr)

http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyMultiWriter.java
----------------------------------------------------------------------
diff --git a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyMultiWriter.java b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyMultiWriter.java
index 42d0490..3d379b4 100644
--- a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyMultiWriter.java
+++ b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyMultiWriter.java
@@ -22,7 +22,7 @@ import com.twitter.distributedlog.DLSN;
 import com.twitter.distributedlog.client.DistributedLogMultiStreamWriter;
 import com.twitter.distributedlog.service.DistributedLogClient;
 import com.twitter.distributedlog.service.DistributedLogClientBuilder;
-import com.twitter.finagle.thrift.ClientId;
+import com.twitter.finagle.thrift.ClientId$;
 import com.twitter.util.FutureEventListener;
 import jline.ConsoleReader;
 import jline.Terminal;
@@ -50,7 +50,7 @@ public class ConsoleProxyMultiWriter {
         final String streamList = args[1];
 
         DistributedLogClient client = DistributedLogClientBuilder.newBuilder()
-                .clientId(ClientId.apply("console-proxy-writer"))
+                .clientId(ClientId$.MODULE$.apply("console-proxy-writer"))
                 .name("console-proxy-writer")
                 .thriftmux(true)
                 .finagleNameStr(finagleNameStr)

http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyWriter.java
----------------------------------------------------------------------
diff --git a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyWriter.java b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyWriter.java
index 51d5eb3..5089e27 100644
--- a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyWriter.java
+++ b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/ConsoleProxyWriter.java
@@ -20,7 +20,7 @@ package com.twitter.distributedlog.basic;
 import com.twitter.distributedlog.*;
 import com.twitter.distributedlog.service.DistributedLogClient;
 import com.twitter.distributedlog.service.DistributedLogClientBuilder;
-import com.twitter.finagle.thrift.ClientId;
+import com.twitter.finagle.thrift.ClientId$;
 import com.twitter.util.FutureEventListener;
 import jline.ConsoleReader;
 import jline.Terminal;
@@ -47,7 +47,7 @@ public class ConsoleProxyWriter {
         final String streamName = args[1];
 
         DistributedLogClient client = DistributedLogClientBuilder.newBuilder()
-                .clientId(ClientId.apply("console-proxy-writer"))
+                .clientId(ClientId$.MODULE$.apply("console-proxy-writer"))
                 .name("console-proxy-writer")
                 .thriftmux(true)
                 .finagleNameStr(finagleNameStr)

http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/RecordGenerator.java
----------------------------------------------------------------------
diff --git a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/RecordGenerator.java b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/RecordGenerator.java
index e759f12..63b03f5 100644
--- a/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/RecordGenerator.java
+++ b/distributedlog-tutorials/distributedlog-basic/src/main/java/com/twitter/distributedlog/basic/RecordGenerator.java
@@ -21,7 +21,7 @@ import com.google.common.util.concurrent.RateLimiter;
 import com.twitter.distributedlog.DLSN;
 import com.twitter.distributedlog.service.DistributedLogClient;
 import com.twitter.distributedlog.service.DistributedLogClientBuilder;
-import com.twitter.finagle.thrift.ClientId;
+import com.twitter.finagle.thrift.ClientId$;
 import com.twitter.util.FutureEventListener;
 
 import java.nio.ByteBuffer;
@@ -50,7 +50,7 @@ public class RecordGenerator {
         RateLimiter limiter = RateLimiter.create(rate);
 
         DistributedLogClient client = DistributedLogClientBuilder.newBuilder()
-                .clientId(ClientId.apply("record-generator"))
+                .clientId(ClientId$.MODULE$.apply("record-generator"))
                 .name("record-generator")
                 .thriftmux(true)
                 .finagleNameStr(finagleNameStr)

http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyPartitionedMultiWriter.java
----------------------------------------------------------------------
diff --git a/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyPartitionedMultiWriter.java b/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyPartitionedMultiWriter.java
index 79ed576..fcd2e9a 100644
--- a/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyPartitionedMultiWriter.java
+++ b/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyPartitionedMultiWriter.java
@@ -20,7 +20,7 @@ package com.twitter.distributedlog.messaging;
 import com.twitter.distributedlog.DLSN;
 import com.twitter.distributedlog.service.DistributedLogClient;
 import com.twitter.distributedlog.service.DistributedLogClientBuilder;
-import com.twitter.finagle.thrift.ClientId;
+import com.twitter.finagle.thrift.ClientId$;
 import com.twitter.util.Future;
 import com.twitter.util.FutureEventListener;
 import jline.ConsoleReader;
@@ -70,7 +70,7 @@ public class ConsoleProxyPartitionedMultiWriter {
         final String streamList = args[1];
 
         DistributedLogClient client = DistributedLogClientBuilder.newBuilder()
-                .clientId(ClientId.apply("console-proxy-writer"))
+                .clientId(ClientId$.MODULE$.apply("console-proxy-writer"))
                 .name("console-proxy-writer")
                 .thriftmux(true)
                 .finagleNameStr(finagleNameStr)

http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyRRMultiWriter.java
----------------------------------------------------------------------
diff --git a/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyRRMultiWriter.java b/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyRRMultiWriter.java
index 00398c1..938aa86 100644
--- a/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyRRMultiWriter.java
+++ b/distributedlog-tutorials/distributedlog-messaging/src/main/java/com/twitter/distributedlog/messaging/ConsoleProxyRRMultiWriter.java
@@ -20,7 +20,7 @@ package com.twitter.distributedlog.messaging;
 import com.twitter.distributedlog.DLSN;
 import com.twitter.distributedlog.service.DistributedLogClient;
 import com.twitter.distributedlog.service.DistributedLogClientBuilder;
-import com.twitter.finagle.thrift.ClientId;
+import com.twitter.finagle.thrift.ClientId$;
 import com.twitter.util.FutureEventListener;
 import jline.ConsoleReader;
 import jline.Terminal;
@@ -44,7 +44,7 @@ public class ConsoleProxyRRMultiWriter {
         final String streamList = args[1];
 
         DistributedLogClient client = DistributedLogClientBuilder.newBuilder()
-                .clientId(ClientId.apply("console-proxy-writer"))
+                .clientId(ClientId$.MODULE$.apply("console-proxy-writer"))
                 .name("console-proxy-writer")
                 .thriftmux(true)
                 .finagleNameStr(finagleNameStr)

http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/433f8a46/scripts/change-scala-version.sh
----------------------------------------------------------------------
diff --git a/scripts/change-scala-version.sh b/scripts/change-scala-version.sh
new file mode 100755
index 0000000..f68d7a9
--- /dev/null
+++ b/scripts/change-scala-version.sh
@@ -0,0 +1,142 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# This shell script is from Apache Spark with some modification.
+
+set -e
+
+VALID_VERSIONS=( 2.10 2.11 )
+
+usage() {
+  echo "Usage: $(basename $0) [-h|--help] <scala version to be used>
+where :
+  -h| --help Display this help text
+  valid scala version values : ${VALID_VERSIONS[*]}
+" 1>&2
+  exit 1
+}
+
+if [[ ($# -ne 1) || ( $1 == "--help") ||  $1 == "-h" ]]; then
+  usage
+fi
+
+TO_VERSION=$1
+
+check_scala_version() {
+  for i in ${VALID_VERSIONS[*]}; do [ $i = "$1" ] && return 0; done
+  echo "Invalid Scala version: $1. Valid versions: ${VALID_VERSIONS[*]}" 1>&2
+  exit 1
+}
+
+check_scala_version "$TO_VERSION"
+
+if [ $TO_VERSION = "2.11" ]; then
+  FROM_SUFFIX="_2\.10"
+  TO_SUFFIX="_2\.11"
+else
+  FROM_SUFFIX="_2\.11"
+  TO_SUFFIX="_2\.10"
+fi
+
+sed_i() {
+  sed -e "$1" "$2" > "$2.tmp" && mv "$2.tmp" "$2"
+}
+
+export -f sed_i
+
+BASEDIR=$(dirname $0)/..
+
+# Fix the finagle versions
+echo "sed_i 's/\(artifactId>finagle.*'$FROM_SUFFIX'\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}";
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(artifactId>finagle.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+
+# Fix the scrooge versions
+echo "sed_i 's/\(artifactId>scrooge.*'$FROM_SUFFIX'\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}";
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(artifactId>scrooge.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+
+# Fix the util versions
+echo "sed_i 's/\(artifactId>util.*'$FROM_SUFFIX'\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}";
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(artifactId>util.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+
+# Fix the distributedlog versions
+echo "sed_i 's/\(artifactId>distributedlog\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}"
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(artifactId>distributedlog\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+echo "sed_i 's/\(artifactId>distributedlog-[a-z]*\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}"
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(artifactId>distributedlog-[a-z]*\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+echo "sed_i 's/\(artifactId>distributedlog.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}"
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(artifactId>distributedlog.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+echo "sed_i 's/\(module>distributedlog.*\)'$FROM_SUFFIX'<\/module>/\1'$TO_SUFFIX'<\/module>/g' {}"
+find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+  -exec bash -c "sed_i 's/\(module>distributedlog.*\)'$FROM_SUFFIX'<\/module>/\1'$TO_SUFFIX'<\/module>/g' {}" \;
+
+#echo "sed_i 's/\(artifactId>flink.*'$FROM_SUFFIX'\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}";
+
+#BASEDIR=$(dirname $0)/..
+#find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
+#  -exec bash -c "sed_i 's/\(artifactId>flink.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
+#
+## fix for examples
+#find "$BASEDIR/flink-examples/flink-examples-batch" -name 'pom.xml' -not -path '*target*' -print \
+#  -exec bash -c "sed_i 's/\(<copy file=\".*flink-examples-batch\)'$FROM_SUFFIX'/\1'$TO_SUFFIX'/g' {}" \;
+#
+#find "$BASEDIR/flink-examples/flink-examples-streaming" -name 'pom.xml' -not -path '*target*' -print \
+#  -exec bash -c "sed_i 's/\(<copy file=\".*flink-examples-streaming\)'$FROM_SUFFIX'/\1'$TO_SUFFIX'/g' {}" \;
+#
+## fix for quickstart
+#find "$BASEDIR/flink-quickstart" -name 'pom.xml' -not -path '*target*' -print \
+#  -exec bash -c "sed_i 's/\(<exclude>org\.apache\.flink:flink-.*\)'$FROM_SUFFIX'<\/exclude>/\1'$TO_SUFFIX'<\/exclude>/g' {}" \;
+#
+## fix for flink-dist
+#find "$BASEDIR/flink-dist" -name 'bin.xml' -not -path '*target*' -print \
+#  -exec bash -c "sed_i 's/\(<source>.*flink-dist\)'$FROM_SUFFIX'/\1'$TO_SUFFIX'/g' {}" \;
+#find "$BASEDIR/flink-dist" -name 'bin.xml' -not -path '*target*' -print \
+#  -exec bash -c "sed_i 's/\(<include>org\.apache\.flink:flink-.*\)'$FROM_SUFFIX'<\/include>/\1'$TO_SUFFIX'<\/include>/g' {}" \;
+#
+## fix for shading curator with Scala 2.11
+#find "$BASEDIR/flink-runtime" -name 'pom.xml' -not -path '*target*' -print \
+#     -exec bash -c "sed_i 's/\(<include>org\.apache\.flink:flink-shaded-curator.*\)'$FROM_SUFFIX'<\/include>/\1'$TO_SUFFIX'<\/include>/g' {}" \;
+#
+#if [ "$TO_VERSION" == "2.11" ]; then
+#  # set the profile activation to !scala-2.11 in parent pom, so that it activates by default
+#  bash -c "sed_i 's/<name>scala-2.11<\/name>/<name>!scala-2.11<\/name>/g' $BASEDIR/pom.xml" \;
+#  # set the profile activation in all sub modules to scala-2.11 (so that they are disabled by default)
+#  find $BASEDIR/flink-* -name 'pom.xml' -not -path '*target*' -print \
+#    -exec bash -c "sed_i 's/<name>!scala-2.11<\/name>/<name>scala-2.11<\/name>/g' {}" \;
+#
+#  # set the name of the shading artifact properly
+#  bash -c "sed_i 's/\(shading-artifact.name>flink-shaded[a-z0-9\-]*\)'$FROM_SUFFIX'<\/shading-artifact.name>/\1'$TO_SUFFIX'<\/shading-artifact.name>/g' $BASEDIR/pom.xml" \;
+#fi
+#
+#if [ "$TO_VERSION" == "2.10" ]; then
+#  # do the opposite as above
+#  bash -c "sed_i 's/<name>!scala-2.11<\/name>/<name>scala-2.11<\/name>/g' $BASEDIR/pom.xml" \;
+#  # also for the other files
+#  find $BASEDIR/flink-* -name 'pom.xml' -not -path '*target*' -print \
+#    -exec bash -c "sed_i 's/<name>scala-2.11<\/name>/<name>!scala-2.11<\/name>/g' {}" \;
+#
+#  # unset shading artifact name
+#  bash -c "sed_i 's/\(shading-artifact.name>flink-shaded[a-z0-9\-]*\)'$FROM_SUFFIX'<\/shading-artifact.name>/\1'$TO_SUFFIX'<\/shading-artifact.name>/g' $BASEDIR/pom.xml" \;
+#fi
+#


[5/5] incubator-distributedlog git commit: Merge branch 'master' into sijie/support_scala_2.10_and_2.11

Posted by si...@apache.org.
Merge branch 'master' into sijie/support_scala_2.10_and_2.11


Project: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/commit/08cd8642
Tree: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/tree/08cd8642
Diff: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/diff/08cd8642

Branch: refs/heads/sijie/support_scala_2.10_and_2.11
Commit: 08cd8642c57ced2373c488f7aad8858ae34e0684
Parents: 8ac6fbe 05a8daa
Author: Sijie Guo <si...@twitter.com>
Authored: Sat Sep 10 00:31:04 2016 -0700
Committer: Sijie Guo <si...@twitter.com>
Committed: Sat Sep 10 00:31:04 2016 -0700

----------------------------------------------------------------------
 .travis.yml                                     |  37 +-
 Dockerfile                                      |  17 +
 NOTICE                                          |  12 +
 README.md                                       |   2 +-
 Vagrantfile                                     |  15 +
 distributedlog-benchmark/bin/bundle             |  18 +
 distributedlog-benchmark/bin/dbench             |   2 -
 distributedlog-benchmark/conf/benchmark.conf    |  18 +
 distributedlog-benchmark/conf/dlogenv.sh        |   3 -
 distributedlog-benchmark/conf/log4j.properties  |  18 +
 distributedlog-benchmark/pom.xml                |  14 +-
 distributedlog-benchmark/src/assemble/bin.xml   |  55 --
 .../distributedlog/benchmark/Benchmarker.java   |  11 +-
 .../distributedlog/benchmark/ReaderWorker.java  |   5 +-
 .../distributedlog/benchmark/WriterWorker.java  |   9 +-
 .../src/main/thrift/loadtest.thrift             |  18 +
 distributedlog-client/pom.xml                   |   4 +-
 .../service/DistributedLogClientBuilder.java    |  28 +
 .../src/test/resources/log4j.properties         |  24 +-
 distributedlog-core/bin/dlog                    |  18 +
 distributedlog-core/conf/bookie.conf.template   |   2 -
 distributedlog-core/conf/distributedlog.conf    |  22 +-
 distributedlog-core/conf/log4j.properties       |  20 +
 distributedlog-core/conf/write_proxy.conf       |  20 +
 .../conf/zookeeper.conf.dynamic.template        |   2 +-
 distributedlog-core/pom.xml                     |   4 +-
 distributedlog-core/src/assemble/bin.xml        |  55 --
 .../distributedlog/BKDistributedLogManager.java |  27 +-
 .../distributedlog/BKLogReadHandler.java        |   9 +-
 .../distributedlog/BKLogWriteHandler.java       |   4 +-
 .../DistributedLogConfiguration.java            |  35 ++
 .../distributedlog/LocalDLMEmulator.java        |  34 +-
 .../twitter/distributedlog/impl/BKDLUtils.java  |   2 +
 .../distributedlog/lock/DistributedLock.java    | 497 +---------------
 .../distributedlog/lock/NopDistributedLock.java |  51 ++
 .../distributedlog/lock/SessionLock.java        |   2 +-
 .../distributedlog/lock/ZKDistributedLock.java  | 537 +++++++++++++++++
 .../src/main/resources/config/decider.conf      |  17 +
 .../src/main/resources/config/decider.yml       |  19 +
 .../src/main/thrift/metadata.thrift             |  17 +
 .../com/twitter/distributedlog/DLMTestUtil.java |   1 +
 .../distributedlog/TestAsyncReaderWriter.java   |  15 +-
 .../TestBKDistributedLogManager.java            |  24 +
 .../distributedlog/TestBKLogSegmentWriter.java  |  56 +-
 .../distributedlog/TestDistributedLogBase.java  |  12 +-
 .../TestDistributedLogConfiguration.java        |  26 +
 .../distributedlog/TestNonBlockingReads.java    |  45 +-
 .../distributedlog/TestZooKeeperClient.java     |  12 +
 .../admin/TestDistributedLogAdmin.java          |   8 +-
 .../distributedlog/bk/TestLedgerAllocator.java  |  12 +
 .../config/TestConfigurationSubscription.java   |  16 +-
 ...TestDynamicConfigurationFeatureProvider.java |  23 +
 .../lock/TestDistributedLock.java               |  86 +--
 .../src/test/resources/bk_server.conf           |  20 +
 .../src/test/resources/log4j.properties         |  24 +-
 distributedlog-example/bin/bk-cluster           |  18 +
 distributedlog-example/bin/proxy-cluster        |  18 +
 distributedlog-example/bin/proxy-writer         |  18 +
 distributedlog-example/conf/bk_server.conf      |  18 +
 distributedlog-example/conf/distributedlog.conf |  20 +-
 distributedlog-example/conf/log4j.properties    |  18 +
 .../conf/stream_config/example-stream_0.conf    |  18 +
 distributedlog-example/pom.xml                  |  13 +-
 distributedlog-protocol/pom.xml                 |   4 +-
 .../src/main/thrift/service.thrift              |  17 +
 distributedlog-service/bin/bundle               |  18 +
 distributedlog-service/pom.xml                  |   6 +-
 distributedlog-service/src/assemble/bin.xml     |  55 --
 .../service/DistributedLogCluster.java          |   9 +-
 .../HealthCheckServletContextListener.java      |  17 +
 .../stats/MetricsServletContextListener.java    |  17 +
 .../main/resources/config/server_decider.conf   |  20 +
 .../main/resources/config/server_decider.yml    |  20 +
 .../service/TestDistributedLogServer.java       |   7 +
 .../service/TestDistributedLogService.java      |  10 +-
 .../src/test/resources/log4j.properties         |  24 +-
 .../conf/distributedlog.conf                    |  22 +-
 .../distributedlog-basic/conf/log4j.properties  |  20 +
 .../distributedlog-basic/pom.xml                |  13 +-
 .../conf/distributedlog.conf                    |  22 +-
 .../distributedlog-kafka/conf/log4j.properties  |  20 +
 .../distributedlog-kafka/pom.xml                |  13 +-
 .../distributedlog-mapreduce/pom.xml            |   4 +-
 .../conf/distributedlog.conf                    |  22 +-
 .../conf/log4j.properties                       |  20 +
 .../distributedlog-messaging/pom.xml            |  13 +-
 .../src/main/thrift/messaging.thrift            |  19 +
 distributedlog-tutorials/pom.xml                |   4 +-
 docker/Dockerfile                               |  17 +
 docs/basics/quickstart.rst                      |   5 +
 docs/operations/deployment.rst                  |   4 +-
 docs/operations/docker.rst                      |  36 ++
 docs/operations/vagrant.rst                     |  18 +
 pom.xml                                         |  92 ++-
 scripts/dev/dl-merge-pr.py                      | 578 +++++++++++++++++++
 scripts/snapshot                                |  22 +-
 src/assemble/bin.xml                            |  74 +++
 src/assemble/src.xml                            |  63 ++
 src/main/resources/LICENSE.bin.txt              | 302 ++++++++++
 src/main/resources/NOTICE.bin.txt               |  30 +
 vagrant/bk_docker_wrapper.sh                    |  15 +
 101 files changed, 2998 insertions(+), 899 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/08cd8642/distributedlog-core/pom.xml
----------------------------------------------------------------------


[3/5] incubator-distributedlog git commit: Merge branch 'master' into sijie/support_scala_2.10_and_2.11

Posted by si...@apache.org.
Merge branch 'master' into sijie/support_scala_2.10_and_2.11


Project: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/commit/a8aa66cd
Tree: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/tree/a8aa66cd
Diff: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/diff/a8aa66cd

Branch: refs/heads/sijie/support_scala_2.10_and_2.11
Commit: a8aa66cd75507accf38ce7ee4cae00cec641b08f
Parents: 7eebe15 dbca823
Author: Sijie Guo <si...@twitter.com>
Authored: Mon Jul 11 23:08:59 2016 -0700
Committer: Sijie Guo <si...@twitter.com>
Committed: Mon Jul 11 23:08:59 2016 -0700

----------------------------------------------------------------------
 Dockerfile                                      | 19 ++++
 Vagrantfile                                     | 96 ++++++++++++++++++++
 distributedlog-core/conf/bookie.conf.template   |  2 +
 .../conf/zookeeper.conf.template                |  3 +
 .../distributedlog-messaging/messaging-2.md     |  2 +-
 docker/Dockerfile                               | 18 ++++
 docs/basics/quickstart.rst                      |  2 +-
 docs/operations/deployment.rst                  |  5 +-
 pom.xml                                         |  2 +-
 scripts/snapshot                                |  1 +
 vagrant/base.sh                                 | 56 ++++++++++++
 vagrant/bk.sh                                   | 86 ++++++++++++++++++
 vagrant/bk_docker_wrapper.sh                    |  2 +
 vagrant/zk.sh                                   | 46 ++++++++++
 14 files changed, 335 insertions(+), 5 deletions(-)
----------------------------------------------------------------------



[2/5] incubator-distributedlog git commit: Remove unnecessary exclusion from 2.11

Posted by si...@apache.org.
Remove unnecessary exclusion from 2.11


Project: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/commit/7eebe15f
Tree: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/tree/7eebe15f
Diff: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/diff/7eebe15f

Branch: refs/heads/sijie/support_scala_2.10_and_2.11
Commit: 7eebe15f0ef21a6ccb72c90295367f52309c97bb
Parents: 433f8a4
Author: Sijie Guo <si...@twitter.com>
Authored: Sat Jun 4 18:18:18 2016 -0700
Committer: Sijie Guo <si...@twitter.com>
Committed: Sat Jun 4 18:18:18 2016 -0700

----------------------------------------------------------------------
 distributedlog-core/pom.xml | 4 ----
 1 file changed, 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/7eebe15f/distributedlog-core/pom.xml
----------------------------------------------------------------------
diff --git a/distributedlog-core/pom.xml b/distributedlog-core/pom.xml
index c05ea54..07aafe0 100644
--- a/distributedlog-core/pom.xml
+++ b/distributedlog-core/pom.xml
@@ -39,10 +39,6 @@
           <groupId>org.slf4j</groupId>
           <artifactId>slf4j-log4j12</artifactId>
         </exclusion>
-        <exclusion>
-          <groupId>com.twitter</groupId>
-          <artifactId>finagle-core_2.11</artifactId>
-        </exclusion>
       </exclusions>
     </dependency>
     <dependency>


[4/5] incubator-distributedlog git commit: Remove commented script

Posted by si...@apache.org.
Remove commented script


Project: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/commit/8ac6fbe2
Tree: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/tree/8ac6fbe2
Diff: http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/diff/8ac6fbe2

Branch: refs/heads/sijie/support_scala_2.10_and_2.11
Commit: 8ac6fbe245400a3bff7fb275b327ca7125eb48e7
Parents: a8aa66c
Author: Sijie Guo <si...@twitter.com>
Authored: Mon Jul 11 23:16:41 2016 -0700
Committer: Sijie Guo <si...@twitter.com>
Committed: Mon Jul 11 23:16:41 2016 -0700

----------------------------------------------------------------------
 scripts/change-scala-version.sh | 50 ------------------------------------
 1 file changed, 50 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-distributedlog/blob/8ac6fbe2/scripts/change-scala-version.sh
----------------------------------------------------------------------
diff --git a/scripts/change-scala-version.sh b/scripts/change-scala-version.sh
index f68d7a9..89c8a70 100755
--- a/scripts/change-scala-version.sh
+++ b/scripts/change-scala-version.sh
@@ -90,53 +90,3 @@ find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
 echo "sed_i 's/\(module>distributedlog.*\)'$FROM_SUFFIX'<\/module>/\1'$TO_SUFFIX'<\/module>/g' {}"
 find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
   -exec bash -c "sed_i 's/\(module>distributedlog.*\)'$FROM_SUFFIX'<\/module>/\1'$TO_SUFFIX'<\/module>/g' {}" \;
-
-#echo "sed_i 's/\(artifactId>flink.*'$FROM_SUFFIX'\)<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}";
-
-#BASEDIR=$(dirname $0)/..
-#find "$BASEDIR" -name 'pom.xml' -not -path '*target*' -print \
-#  -exec bash -c "sed_i 's/\(artifactId>flink.*\)'$FROM_SUFFIX'<\/artifactId>/\1'$TO_SUFFIX'<\/artifactId>/g' {}" \;
-#
-## fix for examples
-#find "$BASEDIR/flink-examples/flink-examples-batch" -name 'pom.xml' -not -path '*target*' -print \
-#  -exec bash -c "sed_i 's/\(<copy file=\".*flink-examples-batch\)'$FROM_SUFFIX'/\1'$TO_SUFFIX'/g' {}" \;
-#
-#find "$BASEDIR/flink-examples/flink-examples-streaming" -name 'pom.xml' -not -path '*target*' -print \
-#  -exec bash -c "sed_i 's/\(<copy file=\".*flink-examples-streaming\)'$FROM_SUFFIX'/\1'$TO_SUFFIX'/g' {}" \;
-#
-## fix for quickstart
-#find "$BASEDIR/flink-quickstart" -name 'pom.xml' -not -path '*target*' -print \
-#  -exec bash -c "sed_i 's/\(<exclude>org\.apache\.flink:flink-.*\)'$FROM_SUFFIX'<\/exclude>/\1'$TO_SUFFIX'<\/exclude>/g' {}" \;
-#
-## fix for flink-dist
-#find "$BASEDIR/flink-dist" -name 'bin.xml' -not -path '*target*' -print \
-#  -exec bash -c "sed_i 's/\(<source>.*flink-dist\)'$FROM_SUFFIX'/\1'$TO_SUFFIX'/g' {}" \;
-#find "$BASEDIR/flink-dist" -name 'bin.xml' -not -path '*target*' -print \
-#  -exec bash -c "sed_i 's/\(<include>org\.apache\.flink:flink-.*\)'$FROM_SUFFIX'<\/include>/\1'$TO_SUFFIX'<\/include>/g' {}" \;
-#
-## fix for shading curator with Scala 2.11
-#find "$BASEDIR/flink-runtime" -name 'pom.xml' -not -path '*target*' -print \
-#     -exec bash -c "sed_i 's/\(<include>org\.apache\.flink:flink-shaded-curator.*\)'$FROM_SUFFIX'<\/include>/\1'$TO_SUFFIX'<\/include>/g' {}" \;
-#
-#if [ "$TO_VERSION" == "2.11" ]; then
-#  # set the profile activation to !scala-2.11 in parent pom, so that it activates by default
-#  bash -c "sed_i 's/<name>scala-2.11<\/name>/<name>!scala-2.11<\/name>/g' $BASEDIR/pom.xml" \;
-#  # set the profile activation in all sub modules to scala-2.11 (so that they are disabled by default)
-#  find $BASEDIR/flink-* -name 'pom.xml' -not -path '*target*' -print \
-#    -exec bash -c "sed_i 's/<name>!scala-2.11<\/name>/<name>scala-2.11<\/name>/g' {}" \;
-#
-#  # set the name of the shading artifact properly
-#  bash -c "sed_i 's/\(shading-artifact.name>flink-shaded[a-z0-9\-]*\)'$FROM_SUFFIX'<\/shading-artifact.name>/\1'$TO_SUFFIX'<\/shading-artifact.name>/g' $BASEDIR/pom.xml" \;
-#fi
-#
-#if [ "$TO_VERSION" == "2.10" ]; then
-#  # do the opposite as above
-#  bash -c "sed_i 's/<name>!scala-2.11<\/name>/<name>scala-2.11<\/name>/g' $BASEDIR/pom.xml" \;
-#  # also for the other files
-#  find $BASEDIR/flink-* -name 'pom.xml' -not -path '*target*' -print \
-#    -exec bash -c "sed_i 's/<name>scala-2.11<\/name>/<name>!scala-2.11<\/name>/g' {}" \;
-#
-#  # unset shading artifact name
-#  bash -c "sed_i 's/\(shading-artifact.name>flink-shaded[a-z0-9\-]*\)'$FROM_SUFFIX'<\/shading-artifact.name>/\1'$TO_SUFFIX'<\/shading-artifact.name>/g' $BASEDIR/pom.xml" \;
-#fi
-#